singleton Material(burnside)
{
   mapTo = "burnside";
    colorPaletteMap[2] = "vehicles/burnside/burnside_roof.dds";
    diffuseMap[2] = "vehicles/burnside/burnside_c.dds";
    specularMap[2] = "vehicles/burnside/burnside_s.dds";
    normalMap[2] = "vehicles/burnside/burnside_n.dds";
    diffuseMap[1] = "vehicles/burnside/burnside_d.dds";
    specularMap[1] = "vehicles/burnside/burnside_s.dds";
    normalMap[1] = "vehicles/burnside/burnside_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/burnside/burnside_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("burnside.skin.police")
{
   mapTo = "burnside.skin.police";
    overlayMap[2] = "vehicles/burnside/burnside_skin_police.dds";
    diffuseMap[2] = "vehicles/burnside/burnside_c.dds";
    specularMap[2] = "vehicles/burnside/burnside_s.dds";
    normalMap[2] = "vehicles/burnside/burnside_n.dds";
    diffuseMap[1] = "vehicles/burnside/burnside_d.dds";
    specularMap[1] = "vehicles/burnside/burnside_s.dds";
    normalMap[1] = "vehicles/burnside/burnside_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/burnside/burnside_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_glass)
{
    mapTo = "burnside_glass";
    reflectivityMap[0] = "vehicles/common/glass_base_2.dds";
    diffuseMap[0] = "vehicles/burnside/burnside_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_headlightglass)
{
    mapTo = "burnside_headlightglass";
    reflectivityMap[0] = "vehicles/common/glass_base_2.dds";
    diffuseMap[0] = "vehicles/burnside/burnside_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_glass_int)
{
    mapTo = "burnside_glass_int";
    diffuseMap[0] = "vehicles/burnside/burnside_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    diffuseColor[0] = "0.0 0.0 0.0 0.1";
    specularColor[0] = "0.5 0.5 0.5 0.5";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_glass_lit)
{
    mapTo = "burnside_glass_lit";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/burnside/burnside_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/burnside/burnside_glass_da.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "120";
    emissive[1] = "1";
    glow[1] = "1";
    translucentBlendOp = "addAlpha";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_glass_dmg)
{
    mapTo = "burnside_glass_dmg";
    diffuseMap[0] = "vehicles/burnside/burnside_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/burnside/burnside_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/burnside/burnside_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_windshield_dmg)
{
    mapTo = "burnside_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base_2.dds";
    diffuseMap[0] = "vehicles/burnside/burnside_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_interior)
{
    mapTo = "burnside_interior";
    diffuseMap[2] = "vehicles/burnside/burnside_interior_c.dds";
    specularMap[2] = "vehicles/burnside/burnside_interior_s.dds";
    normalMap[2] = "vehicles/burnside/burnside_interior_n.dds";
    diffuseMap[1] = "vehicles/burnside/burnside_interior_d.dds";
    specularMap[1] = "vehicles/burnside/burnside_interior_s.dds";
    normalMap[1] = "vehicles/burnside/burnside_interior_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/burnside/burnside_interior_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_floormat)
{
    mapTo = "burnside_floormat";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/burnside/burnside_floormat_d.dds";
    normalMap[1] = "vehicles/burnside/burnside_floormat_n.dds";
    normalMap[0] = "vehicles/burnside/burnside_floormat_n.dds";
    specularMap[1] = "vehicles/burnside/burnside_floormat_s.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_interior_dynref)
{
    mapTo = "burnside_interior_dynref";
    diffuseMap[2] = "vehicles/burnside/burnside_interior_c.dds";
    specularMap[2] = "vehicles/burnside/burnside_interior_s.dds";
    normalMap[2] = "vehicles/burnside/burnside_interior_n.dds";
    diffuseMap[1] = "vehicles/burnside/burnside_interior_d.dds";
    specularMap[1] = "vehicles/burnside/burnside_interior_s.dds";
    normalMap[1] = "vehicles/burnside/burnside_interior_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/burnside/burnside_interior_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_seats)
{
    mapTo = "burnside_seats";
    diffuseMap[2] = "vehicles/burnside/burnside_seats_c.dds";
    specularMap[2] = "vehicles/burnside/burnside_seats_s.dds";
    normalMap[2] = "vehicles/burnside/burnside_seats_n.dds";
    diffuseMap[1] = "vehicles/burnside/burnside_seats_d.dds";
    specularMap[1] = "vehicles/burnside/burnside_seats_s.dds";
    normalMap[1] = "vehicles/burnside/burnside_seats_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/burnside/burnside_seats_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_gauges)
{
    mapTo = "burnside_gauges";
    diffuseMap[0] = "vehicles/burnside/burnside_gauges_d.dds";
    specularMap[0] = "vehicles/burnside/burnside_gauges_s.dds";
    normalMap[0] = "vehicles/burnside/burnside_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(burnside_gauges_on)
{
    mapTo = "burnside_gauges_on";
    diffuseMap[1] = "vehicles/burnside/burnside_gauges_g.dds";
    specularMap[1] = "vehicles/burnside/burnside_gauges_s.dds";
    normalMap[1] = "vehicles/burnside/burnside_gauges_n.dds";
    diffuseMap[0] = "vehicles/burnside/burnside_gauges_d.dds";
    specularMap[0] = "vehicles/burnside/burnside_gauges_s.dds";
    normalMap[0] = "vehicles/burnside/burnside_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "2 0.2 0.1 0.5";
};

singleton Material(burnside_stitches)
{
    mapTo = "burnside_stitches";
    diffuseMap[0] = "burnside_stitches_d.dds";
	specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
	alphaTest = "1";
    alphaRef = "50";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 0.8";
	specular[0] = "0.2 0.2 0.2 1";
};

singleton Material(burnside_chrome)
{
   mapTo = "burnside_chrome";
    diffuseMap[1] = "vehicles/common/null2.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0.47 0.47 0.47 1";
    diffuseColor[1] = "0.47 0.47 0.47 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_lettering)
{
    mapTo = "burnside_lettering";
    specularMap[0] = "vehicles/burnside/burnside_lettering_s.dds";
    normalMap[0] = "vehicles/burnside/burnside_lettering_n.dds";
    diffuseMap[0] = "vehicles/burnside/burnside_lettering_d.dds";
    reflectivityMap[0] = "vehicles/burnside/burnside_lettering_d.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(burnside_engine_v8)
{
    mapTo = "burnside_engine_v8";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/burnside/burnside_engine_v8_d.dds";
    normalMap[1] = "vehicles/burnside/burnside_engine_v8_n.dds";
    normalMap[0] = "vehicles/burnside/burnside_engine_v8_n.dds";
    specularMap[1] = "vehicles/barstow/barstow_engine_v8_s.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_lights)
{
    mapTo = "burnside_lights";
    diffuseMap[1] = "vehicles/burnside/burnside_lights_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/burnside/burnside_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/burnside/burnside_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_lights_on)
{
    mapTo = "burnside_lights_on";
    diffuseMap[2] = "vehicles/burnside/burnside_lights_g.dds";
    diffuseMap[1] = "vehicles/burnside/burnside_lights_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/burnside/burnside_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/burnside/burnside_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    emissive[1] = "1";
    emissive[2] = "1";
    glow[1] = "0";
    glow[2] = "1";
    translucentBlendOp = "None";

    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_lights_on_intense)
{
    mapTo = "burnside_lights_on_intense";
    diffuseMap[2] = "vehicles/burnside/burnside_lights_g.dds";
    diffuseMap[1] = "vehicles/burnside/burnside_lights_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/burnside/burnside_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/burnside/burnside_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1.5";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    emissive[1] = "1";
    glow[1] = "1";
    glow[2] = "1";
    translucentBlendOp = "None";

    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_lights_dmg)
{
    mapTo = "burnside_lights_dmg";
    diffuseMap[1] = "vehicles/burnside/burnside_lights_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/burnside/burnside_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/burnside/burnside_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(burnside_reverselight)
{
    mapTo = "burnside_reverselight";
};

singleton Material(burnside_taillight_R)
{
    mapTo = "burnside_taillight_R";
};

singleton Material(burnside_signal_R)
{
    mapTo = "burnside_signal_R";
};

singleton Material(burnside_signal_L)
{
    mapTo = "burnside_signal_L";
};

singleton Material(burnside_taillight_L)
{
    mapTo = "burnside_taillight_L";
};
